<?php

//--------------------------------------------------------------
// Fichero:  sdf.php
// Objetivo: Rutinas de apoyo de Selección de fotos digitales
// Autor:    Pedro Reina <pedro@pedroreina.net>
// Fecha:    S.9.1.2016
//--------------------------------------------------------------

// Variables globales

$ArchivoListado = "zzz-cache.txt";
$ListaFotos = array ();

//--------------------------------------------------------------

function PreparaListaFotos()
  {
  global $ArchivoListado;

  if ( file_exists ($ArchivoListado) )
    { LeeArchivoListado(); }

  else
    { CreaArchivoListado(); }
  }

//--------------------------------------------------------------

function CreaArchivoListado()
  {
  global $ArchivoListado, $ListaFotos;

  // Montamos una relación con los nombres de las imágenes
  // que hay en el directorio de las miniaturas
  $Relacion = Tedecea_Listado ('min/*.jpg');

  // Creamos el archivo para guardar el listado
  $FicheroListado = fopen ($ArchivoListado, "w");

  foreach ( $Relacion as $Nombre )
    {
    // Buscamos el título de la foto
    $Fichero = fopen ("tex/$Nombre.txt", "r");
    $Titulo = fgets ($Fichero, 1024);
    $Titulo = trim ($Titulo);
    fclose ($Fichero);

    // Guardamos el Nombre y el Titulo de la foto
    $ListaFotos[] = array ('nombre' => $Nombre, 'titulo' => $Titulo );

    // Y los escribimos en el archivo
    fwrite ($FicheroListado, $Nombre . "\n");
    fwrite ($FicheroListado, $Titulo . "\n");
    }

  // Cerramos el archivo
  fclose ($FicheroListado);
  }

//--------------------------------------------------------------

function LeeArchivoListado()
  {
  global $ArchivoListado, $ListaFotos;

  // Abrimos el archivo con el listado
  $FicheroListado = fopen ($ArchivoListado, "r");

  while ( ! feof ($FicheroListado) )
    {
    // Nombre y título de la foto
    $Nombre = fgets ($FicheroListado, 512);
    $Nombre = trim ($Nombre);
    $Titulo = fgets ($FicheroListado, 512);
    $Titulo = trim ($Titulo);

    // Guardamos el Nombre y el Titulo de la foto
    if ( strlen ($Nombre) )
      { $ListaFotos[] = array ('nombre' => $Nombre, 'titulo' => $Titulo ); }
    }

  // Cerramos el archivo
  fclose ($FicheroListado);
  }

?>
